## org.hibernate.event
Class LoadEventListener.LoadType

    java.lang.Object
      org.hibernate.event.LoadEventListener.LoadType

Enclosing interface:
  LoadEventListener

    public static final class LoadEventListener.LoadType

extends Object

Method Summary
`String` `getName()`
`boolean` `isAllowNulls()`
`boolean` `isAllowProxyCreation()`
`boolean` `isCheckDeleted()`
`boolean` `isNakedEntityReturned()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### isAllowNulls

    public boolean isAllowNulls()

### isNakedEntityReturned

    public boolean isNakedEntityReturned()

### isCheckDeleted

    public boolean isCheckDeleted()

### isAllowProxyCreation

    public boolean isAllowProxyCreation()

### getName

    public String getName()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.